/** @type {import('ts-jest').JestConfigWithTsJest} */
module.exports = {
  testTimeout: 10000,
  preset: 'ts-jest',
  testEnvironment: 'node',
  collectCoverage: true,
  coverageDirectory: 'coverage',
  collectCoverageFrom: [
      '**/*.ts',
      '!/nodemodules/',
      '!/jest.config.js/',
      '!/coverage/',
      '!**/server.ts',
      '!**/swaggerDef.ts'
  ],
  coverageThreshold: {
    global: {
        lines: 80,
    },
  },
};
